#include <bits/stdc++.h>

using namespace std;

int main(){
ios::sync_with_stdio(false);
cin.tie(0);
int n, k; cin >> n >> k;
int a[n];
for(int i = 0; i < n; i++){
    cin >> a[i];
}
if(a[n - 1] == k) { cout << a[0];}
else{
    for(int i = 0; i < n - 1; i++){
        if(a[i] == k){ cout << a[i + 1]; break;}
    }
    
}

    return 0;
}